<div id="sidebar">
<ul>
<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
  <li id="search"><h3><?php _e('Search', 'slaffistica'); ?></h3>
	<?php include (TEMPLATEPATH . '/searchform.php'); ?>
  </li>
<?php
$options = get_option('slaffistica_options');
?>
<!-- showcase -->
<?php if( $options['showcase_content'] && (
	($options['showcase_registered'] && $user_ID) || 
	($options['showcase_commentator'] && !$user_ID && isset($_COOKIE['comment_author_'.COOKIEHASH])) || 
	($options['showcase_visitor'] && !$user_ID && !isset($_COOKIE['comment_author_'.COOKIEHASH]))
) ) : ?>
	<li id="about">
	<h3><?php echo($options['showcase_title']); ?></h3>
	<p>
	<?php echo($options['showcase_content']); ?>
	</p>
	</li>
<?php endif; ?>

  <li id="pages"><h3><?php _e('Pages', 'slaffistica'); ?></h3>
	<ul>
	<?php wp_list_pages('title_li='); ?>
	</ul>
  </li>


<?php /* If this is the frontpage */
  // old method, works fine
	// if ( (is_home()) && !(is_page()) && !(is_single()) && !(is_search()) && !(is_archive()) && !(is_author()) && !(is_category()) && !(is_paged()) ) : ?>
<?php /* If this is not single pages 
	good for frontpage, archives, category, tags navigation */
if (!is_singular()) : ?>
  <?php if ( class_exists('flickrRSS') ): ?>
  <li id="flickrRSS"><h3><?php _e('Flickr', 'slaffistica'); ?></h3>
	<?php get_flickrRSS(); ?>
	
	<div class="clear"></div>
  </li>
  <?php endif; ?>

  <li id="blogroll"><h3><?php _e('Blogroll', 'slaffistica'); ?></h3>
	<ul>
		<?php wp_list_bookmarks('title_li=&categorize=0'); ?>
	</ul>
  </li>

  <li id="archivesByMonth"><h3><?php _e('Archives', 'slaffistica'); ?></h3>
	<ul>
		<?php wp_get_archives('type=monthly'); ?>
	</ul>
  </li>

  <li><h2><?php _e('Meta', 'slaffistica'); ?></h2>
  <ul>
	<?php wp_register(); ?>
	<li><?php wp_loginout(); ?></li>
	<?php wp_meta(); ?>
  </ul>
  </li>
<?php endif; //  fin ?>

<?php if (is_single()) : ?>
  <li id="metadata"><h3><?php _e('Entry information', 'slaffistica'); ?></h3>
	<ul>
		<li><?php _e('This entry was published at', 'slaffistica'); ?> <?php the_time('F jS, Y') ?></li>
		<li><?php _e('in category', 'slaffistica'); ?>: <?php the_category(', '); ?></li>
		<?php 
		$post = $posts[0]; 
		if (get_the_tags($post->ID) != 0):
		?>
		<li><?php _e('and tagged with', 'slaffistica'); ?>:
		<?php foreach(get_the_tags($post->ID) as $tag) : ?>
		<a href="<?php echo get_tag_link($tag->term_id); ?>"><?php echo $tag->name; ?></a>,
		<?php endforeach; ?>
		</li>			
		<?php endif; ?>		
	</ul>
  </li>
<?php endif; // single ?>
<?php /* end of static sidebar */ ?>

<?php endif; ?>  
</ul>

</div> <!-- #sidebar -->